<?php
require_once("_functions.php");
if($_GET['view'])
{
	$BlogQuery = @mysql_query("SELECT * FROM `blog` WHERE `id` = " . c($_GET['view']));
	if(@mysql_num_rows($BlogQuery)!=0)
	{
		$BlogRow = @mysql_fetch_assoc($BlogQuery);

		//Store the actual database string for the content as this can be html.
		$htmlDescriptionSingle = $BlogRow['content'];
		//Remove any script tags as we don't want to allow these.
		$htmlDescriptionSingle = str_replace("<script", "", $htmlDescriptionSingle);
		$htmlDescriptionSingle = str_replace("</script>", "", $htmlDescriptionSingle);
		
		$BlogRow = makeW3C($BlogRow);
		$_TITLE = $BlogRow['title'] . " | Blog | Laura George";
	}
	else
		$_TITLE = "Entry not found | Laura George";
}
else
	$_TITLE = "Blog | Laura George";
	
require_once("_header.php");
?>

<div id="content">
<?php
if($_GET['view'])
{
	if($BlogRow['id'] != '')
	{
		echo '<h2>'.$BlogRow['title'].'</h2>';
		echo '<p>'.$htmlDescriptionSingle.'</p>';
		echo '<p style="text-align:right;">Posted on '.date('jS F Y @ h:iA', $BlogRow['date']).'</p>';
	}
	else
		echo '<h1>Entry not found</h1><p>Sorry, this blog entry was not found.</p>';
}
else
{
	$BlogQuery = @mysql_query("SELECT * FROM `blog` WHERE `viewable` = 'Y' ORDER BY `DATE` desc");
	if(@mysql_num_rows($BlogQuery)!=0)
	{
		while($BlogRow = @mysql_fetch_assoc($BlogQuery))
		{
			//Store the actual database string for the content as this can be html.
			$htmlDescription = $BlogRow['content'];
			//Remove any script tags as we don't want to allow these.
			$htmlDescription = str_replace("<script", "", $htmlDescription);
			$htmlDescription = str_replace("</script>", "", $htmlDescription);
			//Escape all the other fields.
			$BlogRow = makeW3C($BlogRow);
			
			if(file_exists($_SERVER['DOCUMENT_ROOT'] . '/i/pages/1_'.$BlogRow['id'].'.jpg'))
				echo '<img src="/i/pages/1_'.$BlogRow['id'].'.jpg" alt="" style="float:right;margin-left:15px;" />';
			
			echo '<h2>'.$BlogRow['title'].'</h2>';
			echo '<p>'.$htmlDescription.'</p>';
			echo '<p style="text-align:right;">Posted on '.date('jS F Y @ h:iA', $BlogRow['date']).'</p>';
		}
	}
	else
		echo '<h1>The Blog</h1><p>Sorry, there is no posted blog entries yet. Come back later.</p>';
}
?>
</div>

<?php require_once("_footer.php"); ?>